Package edu.wisc.game.sql

## Class Episode.CODE

- java.lang.Object
- - edu.wisc.game.sql.Episode.CODE

- Enclosing class:
    Episode

      public static class Episode.CODE
      extends Object

  Return codes for the /move and /display API web API calls, and for the MOVE command in the captive game server.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ACCEPT` |
    `static int` | `ATTEMPT_CNT_MISMATCH` |
    `static int` | `DENY` |
    `static int` | `EMPTY_CELL` |
    `static int` | `EXIT` |
    `static int` | `IMMOVABLE` |
    `static int` | `INVALID_ARGUMENTS` |
    `static int` | `INVALID_COMMAND` |
    `static int` | `INVALID_OBJECT_ID` |
    `static int` | `INVALID_POS` |
    `static int` | `INVALID_RULES` |
    `static int` | `JUST_A_DISPLAY` |
    `static int` | `MULTIPLE_OBJECTS_IN_CELL` |
    `static int` | `NEW_GAME` |
    `static int` | `NO_GAME` |
    `static int` | `NO_SUCH_EPISODE` |
    `static int` | `OUT_OF_TURN` |
    `static int` | `STALEMATE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CODE()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `areSimilar​(int code1, int code2)` |
    `static int` | `legacy​(int code)` | This is used when comparing codes read from old transcripts and recomputed codes, to take into account a more recent creation of code 7
    `static String` | `toBasicName​(int code)` | Used to talk to Gemini

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCEPT

          public static final int ACCEPT

      See Also:
        Constant Field Values

    - #### STALEMATE

          public static final int STALEMATE

      See Also:
        Constant Field Values

    - #### EMPTY_CELL

          public static final int EMPTY_CELL

      See Also:
        Constant Field Values

    - #### DENY

          public static final int DENY

      See Also:
        Constant Field Values

    - #### EXIT

          public static final int EXIT

      See Also:
        Constant Field Values

    - #### NEW_GAME

          public static final int NEW_GAME

      See Also:
        Constant Field Values

    - #### IMMOVABLE

          public static final int IMMOVABLE

      See Also:
        Constant Field Values

    - #### INVALID_COMMAND

          public static final int INVALID_COMMAND

      See Also:
        Constant Field Values

    - #### INVALID_ARGUMENTS

          public static final int INVALID_ARGUMENTS

      See Also:
        Constant Field Values

    - #### INVALID_POS

          public static final int INVALID_POS

      See Also:
        Constant Field Values

    - #### NO_GAME

          public static final int NO_GAME

      See Also:
        Constant Field Values

    - #### INVALID_RULES

          public static final int INVALID_RULES

      See Also:
        Constant Field Values

    - #### NO_SUCH_EPISODE

          public static final int NO_SUCH_EPISODE

      See Also:
        Constant Field Values

    - #### ATTEMPT_CNT_MISMATCH

          public static final int ATTEMPT_CNT_MISMATCH

      See Also:
        Constant Field Values

    - #### JUST_A_DISPLAY

          public static final int JUST_A_DISPLAY

      See Also:
        Constant Field Values

    - #### OUT_OF_TURN

          public static final int OUT_OF_TURN

      See Also:
        Constant Field Values

    - #### INVALID_OBJECT_ID

          public static final int INVALID_OBJECT_ID

      See Also:
        Constant Field Values

    - #### MULTIPLE_OBJECTS_IN_CELL

          public static final int MULTIPLE_OBJECTS_IN_CELL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CODE

          public CODE()

  - ### Method Detail

    - #### toBasicName

          public static String toBasicName​(int code)

      Used to talk to Gemini

    - #### legacy

          public static int legacy​(int code)

      This is used when comparing codes read from old transcripts and recomputed codes, to take into account a more recent creation of code 7

    - #### areSimilar

          public static boolean areSimilar​(int code1,
                                           int code2)